Package ru.bitel.bgbilling.kernel.event

# Class ExecutorEventWorker

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker
ru.bitel.bgbilling.kernel.event.ExecutorEventWorker

All Implemented Interfaces:
  `javax.jms.MessageListener`, `ru.bitel.bgbilling.kernel.application.server.Lifecycle`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public abstract class ExecutorEventWorker extends AbstractExecutorEventWorker implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>, javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ExecutorEventWorker.ContractExecutorEventWorker`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ExecutorEventWorker.ContractExecutorEventWorker`
  `executor`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

  `consumer, moduleId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, String query)`
  `ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, String destination, int moduleId, int pluginId, String query, Class<?>... clazz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onMessage(javax.jms.Message message)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

  `shutdown, start, stop`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.event.EventListener

  `notify`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.application.server.Lifecycle

  `start, stop`

- ## Field Details

  - ### executor

    protected final ExecutorEventWorker.ContractExecutorEventWorker executor

- ## Constructor Details

  - ### ExecutorEventWorker

    public ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, String query) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ExecutorEventWorker

    public ExecutorEventWorker(ExecutorEventWorker.ContractExecutorEventWorker executor, EventProcessor ep, String destination, int moduleId, int pluginId, String query, Class<?>... clazz) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### onMessage

    public void onMessage(javax.jms.Message message)
    Specified by:
      `onMessage` in interface `javax.jms.MessageListener`